export function transformUtf8ToTransliteAscii(inputText: string): string {
  // Define a mapping of Russian characters to their translite ASCII equivalents
  const transliterationMap: { [key: string]: string } = {
    а: 'a',
    б: 'b',
    в: 'v',
    г: 'g',
    д: 'd',
    е: 'e',
    ё: 'e',
    ж: 'zh',
    з: 'z',
    и: 'i',
    й: 'y',
    к: 'k',
    л: 'l',
    м: 'm',
    н: 'n',
    о: 'o',
    п: 'p',
    р: 'r',
    с: 's',
    т: 't',
    у: 'u',
    ф: 'f',
    х: 'kh',
    ц: 'ts',
    ч: 'ch',
    ш: 'sh',
    щ: 'sch',
    ъ: '',
    ы: 'y',
    ь: '',
    э: 'e',
    ю: 'yu',
    я: 'ya',
    // Add more mappings as needed...
    ' ': '-',
    '/': 'then',
  };

  // Transform the input text to translite ASCII without spaces
  let transformedText = '';
  for (const char of inputText.toLowerCase()) {
    if (transliterationMap[char]) {
      transformedText += transliterationMap[char];
    } else {
      transformedText += char;
    }
  }

  return transformedText;
}

export const text2id = transformUtf8ToTransliteAscii;
